﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;

using System.Configuration;
using System.Net.Mail;

namespace DotNetConceptMailSender
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnSend_Click(object sender, EventArgs e)
        {
            if (!string.IsNullOrWhiteSpace(txtTo.Text) && !string.IsNullOrWhiteSpace(txtFrom.Text) && !string.IsNullOrWhiteSpace(txtSubject.Text) && !string.IsNullOrWhiteSpace(txtBody.Text))
            {
                SendMail(txtFrom.Text.Trim(), txtTo.Text.Trim(), "Test", txtSubject.Text, txtBody.Text);
            }
            else
            {
                MessageBox.Show("Please enter valid input");
            }
        }
        public void SendMail(string fromId, string to, string fromName, string subject, string body)
        {
            try
            {
                string host = ConfigurationManager.AppSettings["SMTPHost"].ToString();
                string userName = ConfigurationManager.AppSettings["SMTPUserName"].ToString();
                string pwd = ConfigurationManager.AppSettings["SMTPPassword"].ToString();
                string ssl = ConfigurationManager.AppSettings["SSL"].ToString();
                string portNo = ConfigurationManager.AppSettings["SMTPPort"].ToString();
                int port = Convert.ToInt32(portNo);

                MailMessage message = new MailMessage();
                SmtpClient Smtp = new SmtpClient();


                Smtp.Host = host;
                Smtp.Credentials = new System.Net.NetworkCredential(userName, pwd);
                Smtp.DeliveryMethod = SmtpDeliveryMethod.Network;
                Smtp.Port = port;
                message.From = new MailAddress(fromId.Trim(), fromName);
                string[] toAddress = to.Split(',');
                foreach (object o in toAddress)
                {
                    message.To.Add(o.ToString().Trim());
                }
                message.Subject = subject;
                message.Body = body;

                message.IsBodyHtml = true;
                message.Priority = MailPriority.Normal;
                Smtp.Send(message);

            }
            catch(Exception ex)
            {
                MessageBox.Show("Sorry mail was not send. Please try again. "+ ex.Message);
            }
        }
    }
}
